> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voight.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project

> Updates your project details.



## OpenAPI

````yaml post /v1/projects/{project_id}
openapi: 3.1.0
info:
  title: Voight Projects API docs
  version: 1.0.0
servers:
  - url: https://api.human.prod.artistree.io
security:
  - oauth:
      - enterprise-api-access/read
      - enterprise-api-access/write
paths:
  /v1/projects/{project_id}:
    post:
      summary: Update Project
      description: Updates your project details.
      operationId: update_project_v1_projects__project_id__post
      parameters:
        - required: true
          schema:
            type: string
            maxLength: 36
            minLength: 36
            title: Project Id
          name: project_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectUpdateRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectUpdateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProjectUpdateRequest:
      properties:
        projectId:
          type: string
          title: Projectid
        operation:
          $ref: '#/components/schemas/ProjectUpdateOperation'
        value:
          anyOf:
            - $ref: '#/components/schemas/AddMembersRequest'
            - $ref: '#/components/schemas/RemoveMembersRequest'
            - $ref: '#/components/schemas/UpdateProjectNameRequest'
            - $ref: '#/components/schemas/UpdateDetectionConfigRequest'
          title: Value
      type: object
      required:
        - projectId
        - operation
        - value
      title: ProjectUpdateRequest
    ProjectUpdateResponse:
      properties:
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: ProjectUpdateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProjectUpdateOperation:
      type: string
      enum:
        - updateName
        - addMembers
        - removeMembers
        - updateDetectionConfig
      title: ProjectUpdateOperation
    AddMembersRequest:
      properties:
        emails:
          items:
            type: string
          type: array
          title: Emails
        role:
          type: string
          title: Role
      type: object
      required:
        - emails
        - role
      title: AddMembersRequest
    RemoveMembersRequest:
      properties:
        emails:
          items:
            type: string
          type: array
          title: Emails
      type: object
      required:
        - emails
      title: RemoveMembersRequest
    UpdateProjectNameRequest:
      properties:
        newName:
          type: string
          title: Newname
      type: object
      required:
        - newName
      title: UpdateProjectNameRequest
    UpdateDetectionConfigRequest:
      properties:
        objectFlagThreshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Objectflagthreshold
        weightedConfidenceThreshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Weightedconfidencethreshold
      type: object
      title: UpdateDetectionConfigRequest
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: >-
            https://human-artistree-prod.auth.us-east-1.amazoncognito.com/oauth2/token

````